Get detailed icon information by ID
curl --request GET \
--url https://api.magnific.com/v1/icons/{id} \
--header 'x-magnific-api-key: <api-key>'import requests
url = "https://api.magnific.com/v1/icons/{id}"
headers = {"x-magnific-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-magnific-api-key': '<api-key>'}};
fetch('https://api.magnific.com/v1/icons/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"title": "example-0"
}Icons API
Get detailed icon information by ID
Get detailed information about a specific icon identified by its unique ID.
GET
/
v1
/
icons
/
{id}
Get detailed icon information by ID
Fetch a specific icon by ID. See the Icons API overview for authentication and usage guidance.
Authorizations
Your Magnific API key. Required for authentication. Learn how to obtain an API key
Headers
Specifies the search query language using the ISO 639-1 (2-letter language code) and the ISO 3166-1 (2-letter country code) for language variants. The API will use "en-US" as a default language for processing if a code is not provided, or does not exist.
Path Parameters
Icon resource ID
Response
OK
Show child attributes
Show child attributes
Example:
{
"id": 52912,
"name": "a woman reads a book in a tablet sits in the luxurious back of the library",
"created": "2023-03-07T23:05:26.000Z",
"slug": "a-woman-reads-a-book-in-a-tablet-sits-in-the-luxurious-back-of-the-library",
"style": {
"id": 50,
"name": "Meticulous Yellow shadow"
},
"family": { "id": 1, "name": "Outline", "total": 1200 },
"author": {
"id": 2147483647,
"name": "John Doe",
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"assets": 0,
"slug": "merry-christmas"
},
"thumbnails": [
{
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"width": 512,
"height": 512
},
{
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"width": 512,
"height": 512
}
],
"free_svg": true,
"tags": [
{ "slug": "dog", "name": "Dog" },
{ "slug": "dog", "name": "Dog" }
],
"related": {
"style": [
{
"id": 52912,
"name": "a woman reads a book in a tablet sits in the luxurious back of the library",
"created": "2023-03-07T23:05:26.000Z",
"slug": "a-woman-reads-a-book-in-a-tablet-sits-in-the-luxurious-back-of-the-library",
"style": {
"id": 50,
"name": "Meticulous Yellow shadow"
},
"family": { "id": 1, "name": "Outline", "total": 1200 },
"author": {
"id": 2147483647,
"name": "John Doe",
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"assets": 0,
"slug": "merry-christmas"
},
"thumbnails": [
{
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"width": 512,
"height": 512
},
{
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"width": 512,
"height": 512
}
],
"free_svg": true
},
{
"id": 52912,
"name": "a woman reads a book in a tablet sits in the luxurious back of the library",
"created": "2023-03-07T23:05:26.000Z",
"slug": "a-woman-reads-a-book-in-a-tablet-sits-in-the-luxurious-back-of-the-library",
"style": {
"id": 50,
"name": "Meticulous Yellow shadow"
},
"family": { "id": 1, "name": "Outline", "total": 1200 },
"author": {
"id": 2147483647,
"name": "John Doe",
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"assets": 0,
"slug": "merry-christmas"
},
"thumbnails": [
{
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"width": 512,
"height": 512
},
{
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"width": 512,
"height": 512
}
],
"free_svg": true
}
],
"visual_concept": [
{
"id": 52912,
"name": "a woman reads a book in a tablet sits in the luxurious back of the library",
"created": "2023-03-07T23:05:26.000Z",
"slug": "a-woman-reads-a-book-in-a-tablet-sits-in-the-luxurious-back-of-the-library",
"style": {
"id": 50,
"name": "Meticulous Yellow shadow"
},
"family": { "id": 1, "name": "Outline", "total": 1200 },
"author": {
"id": 2147483647,
"name": "John Doe",
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"assets": 0,
"slug": "merry-christmas"
},
"thumbnails": [
{
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"width": 512,
"height": 512
},
{
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"width": 512,
"height": 512
}
],
"free_svg": true
},
{
"id": 52912,
"name": "a woman reads a book in a tablet sits in the luxurious back of the library",
"created": "2023-03-07T23:05:26.000Z",
"slug": "a-woman-reads-a-book-in-a-tablet-sits-in-the-luxurious-back-of-the-library",
"style": {
"id": 50,
"name": "Meticulous Yellow shadow"
},
"family": { "id": 1, "name": "Outline", "total": 1200 },
"author": {
"id": 2147483647,
"name": "John Doe",
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"assets": 0,
"slug": "merry-christmas"
},
"thumbnails": [
{
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"width": 512,
"height": 512
},
{
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"width": 512,
"height": 512
}
],
"free_svg": true
}
],
"variants": [
{
"id": 52912,
"name": "a woman reads a book in a tablet sits in the luxurious back of the library",
"created": "2023-03-07T23:05:26.000Z",
"slug": "a-woman-reads-a-book-in-a-tablet-sits-in-the-luxurious-back-of-the-library",
"style": {
"id": 50,
"name": "Meticulous Yellow shadow"
},
"family": { "id": 1, "name": "Outline", "total": 1200 },
"author": {
"id": 2147483647,
"name": "John Doe",
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"assets": 0,
"slug": "merry-christmas"
},
"thumbnails": [
{
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"width": 512,
"height": 512
},
{
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"width": 512,
"height": 512
}
],
"free_svg": true
},
{
"id": 52912,
"name": "a woman reads a book in a tablet sits in the luxurious back of the library",
"created": "2023-03-07T23:05:26.000Z",
"slug": "a-woman-reads-a-book-in-a-tablet-sits-in-the-luxurious-back-of-the-library",
"style": {
"id": 50,
"name": "Meticulous Yellow shadow"
},
"family": { "id": 1, "name": "Outline", "total": 1200 },
"author": {
"id": 2147483647,
"name": "John Doe",
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"assets": 0,
"slug": "merry-christmas"
},
"thumbnails": [
{
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"width": 512,
"height": 512
},
{
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"width": 512,
"height": 512
}
],
"free_svg": true
}
]
}
}
Was this page helpful?
⌘I